## libsemanage 3.5

=== debian/changelog ===
libsemanage (3.5-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:51:41 +0200

libsemanage (3.5-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - debian/rules: Properly set the install layout for the python module
    - debian/control: Bump {build-}dependencies to match new release
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop ancient Breaks/Replaces
  * debian/control: Drop dependency against ruby | ruby-interpreter, to please
    lintian

  [ Helmut Grohne ]
  * Fix FTCBFS: Support cross building python and ruby extensions.
    (Closes: #1022967)

  [ Bastian Germann ]
  * Fix "Inaccurate copyright file" (Closes: #1031797)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 20:43:07 +0200
