## libsemanage 3.7

=== debian/changelog ===
libsemanage (3.7-2.1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:32:00 +0000

libsemanage (3.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply upstream patch to fix build with swig 4.3.0 (Closes:
    #1091109)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Jan 2025 10:00:57 +0100

libsemanage (3.7-2) unstable; urgency=medium

  * Make libsemanage-dev depend on libselinux1-dev

 -- Russell Coker <russell@coker.com.au>  Fri, 30 Aug 2024 13:44:45 +1000

libsemanage (3.7-1) unstable; urgency=medium

  * New upstream release
  * Change libsemanage-dev to depend on libselinux-dev
  * Add extra upstream signing key for Petr Lautrbach
  * Remove libsemanage-common.install line for russian man pages

 -- Russell Coker <russell@coker.com.au>  Sun, 25 Aug 2024 21:21:22 +1000
