## libsemanage 3.8

=== debian/changelog ===
libsemanage (3.8-1) unstable; urgency=medium

  * 3.8 upstream release

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 22:57:00 +1100
