=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
                libbz2-dev,
                libcunit1-dev <!nocheck>,
                libpython3-all-dev <!nopython>,
-               libselinux1-dev (>= 3.7),
-               libsepol-dev (>= 3.7),
+               libselinux1-dev (>= 3.8),
+               libsepol-dev (>= 3.8),
                pkg-config,
                python3-all-dev:any <!nopython>,
-               secilc (>= 3.7) <!nocheck>,
+               secilc (>= 3.8) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: https://selinuxproject.org
 XS-Ruby-Versions: all
@@ -77,9 +77,9 @@
 Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.7),
+         libselinux1-dev (>= 3.8),
          libsemanage2 (= ${binary:Version}),
-         libsepol-dev (>= 3.7),
+         libsepol-dev (>= 3.8),
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
@@ -140,10 +140,10 @@
 
 Package: semanage-utils
 Architecture: all
-Depends: libsepol2 (>= 3.7),
+Depends: libsepol2 (>= 3.8),
          python3 (>= 3.2),
-         python3-selinux (>= 3.7),
-         python3-semanage (>= 3.7),
+         python3-selinux (>= 3.8),
+         python3-semanage (>= 3.8),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
