## libsemanage 3.8.1

=== debian/changelog ===
libsemanage (3.8.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:02:19 +0000

libsemanage (3.8.1-1) unstable; urgency=medium

  * 3.8.1 upstream release, performance fix
  * Add patch for semanage.conf(5) from Bjarni Ingi Gislason
    Close: #950196  Close: #1096015

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 18:46:12 +1100
