=== debian/changelog ===
libsemanage (3.9-1) unstable; urgency=medium

  * 3.9 upstream release
  * Merged patch for semanage.conf.5 Closes: #950196

 -- Russell Coker <russell@coker.com.au>  Sat, 18 Oct 2025 18:57:29 +1100
